name: Build and deploy Hugo website
on:
  push:
    branches:
      - master

jobs:
  build-and-deploy:
    # runs-on: ubuntu-latest
    runs-on: alpine_i386
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
        with:
          submodules: true
      - name: Install Hugo
        uses: peaceiris/actions-hugo@v3
        with:
          hugo-version: '0.147.8'
          extended: true
      - name: Build
        run: hugo
      - name: Deploy
        uses: XPH0816/webdav-deploy-action@v0.3
        with:
          url: https://webserver-deploy.joppeb.nl
          username: ${{ secrets.WEBDAV_USER }}
          password: ${{ secrets.WEBDAV_PASS }}
          local: "./public"
          remote: "/"